Package org.apache.felix.webconsole

# Interface ModeAwareConfigurationPrinter

All Superinterfaces:
  `ConfigurationPrinter`

@Deprecated @ConsumerType public interface ModeAwareConfigurationPrinter extends ConfigurationPrinter
Deprecated.
This has been deprecated. Use the org.apache.felix.status API instead.
This is an optional extension of the `ConfigurationPrinter`. If a configuration printer implements this interface, the `printConfiguration(PrintWriter, String)` method is used for printing the configuration instead of the `ConfigurationPrinter.printConfiguration(PrintWriter)` method. A service implementing this method must still register itself as a `ConfigurationPrinter` but not as a `ModeAwareConfigurationPrinter` service.

Since:
  3.0

## Field Summary

### Fields inherited from interface org.apache.felix.webconsole.ConfigurationPrinter

`MODE_ALWAYS, MODE_TXT, MODE_WEB, MODE_ZIP, PROPERTY_MODES, SERVICE`

## Method Summary

Modifier and Type
Method
Description
`void`
`printConfiguration(PrintWriter printWriter, String mode)`
Deprecated.
Prints the configuration report to the given `printWriter`.

### Methods inherited from interface org.apache.felix.webconsole.ConfigurationPrinter

`getTitle, printConfiguration`

## Method Details

### printConfiguration

void printConfiguration(PrintWriter printWriter, String mode)
Deprecated.
Prints the configuration report to the given `printWriter`. Implementations are free to print whatever information they deem useful. The `printWriter` may be flushed but must not be closed.

Parameters:
  `printWriter` - The print writer to use.
  `mode` - The rendering mode.